/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package wawi.gui.admingui.gui;

/**
 *
 * @author mhenk
 */
public class FrameAdmin extends javax.swing.JFrame
{
    private FrameKategorieManager framekategoriemanager;
    private FrameProduktManager frameproduktmanager;
    private FrameBestellungenShow framebestellungenshow;
    private FrameProduktShow frameproduktshow;
    private FrameLagerVerkehrShow framelagerverkehrshow;
    private FrameEinlieferungenShow frameeinlieferungenshow;
    /**
     * Creates new form FrameAdmin
     */
    public FrameAdmin()
    {
        this.setTitle("Admin");
        initComponents();
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jLabel1 = new javax.swing.JLabel();
        produktManager = new javax.swing.JButton();
        openKategorieManager = new javax.swing.JButton();
        produktShow = new javax.swing.JButton();
        lagerverkehrShow = new javax.swing.JButton();
        einlieferungenShow = new javax.swing.JButton();
        bestellungenShow = new javax.swing.JButton();
        jLabel2 = new javax.swing.JLabel();
        close = new javax.swing.JButton();

        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);

        jLabel1.setFont(new java.awt.Font("Lucida Grande", 0, 24)); // NOI18N
        jLabel1.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        jLabel1.setText("Hauptmenü");

        produktManager.setText("Produkte verwalten");
        produktManager.setHorizontalTextPosition(javax.swing.SwingConstants.LEFT);
        produktManager.setPreferredSize(new java.awt.Dimension(224, 60));
        produktManager.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                produktManagerActionPerformed(evt);
            }
        });

        openKategorieManager.setText("Produktkategorien verwalten");
        openKategorieManager.setPreferredSize(new java.awt.Dimension(224, 60));
        openKategorieManager.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                openKategorieManagerActionPerformed(evt);
            }
        });

        produktShow.setText("Produkte anzeigen");
        produktShow.setPreferredSize(new java.awt.Dimension(224, 60));
        produktShow.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                produktShowActionPerformed(evt);
            }
        });

        lagerverkehrShow.setText("Lagerverkehr anzeigen");
        lagerverkehrShow.setHorizontalTextPosition(javax.swing.SwingConstants.CENTER);
        lagerverkehrShow.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                lagerverkehrShowActionPerformed(evt);
            }
        });

        einlieferungenShow.setText("Einlieferungen anzeigen");
        einlieferungenShow.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                einlieferungenShowActionPerformed(evt);
            }
        });

        bestellungenShow.setText("Bestellungen anzeigen");
        bestellungenShow.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                bestellungenShowActionPerformed(evt);
            }
        });

        jLabel2.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        jLabel2.setText("WAWI 2016");

        close.setText("Schließen");
        close.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                closeActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(layout.createSequentialGroup()
                        .addComponent(produktManager, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .addGap(140, 140, 140)
                        .addComponent(lagerverkehrShow, javax.swing.GroupLayout.DEFAULT_SIZE, 224, Short.MAX_VALUE))
                    .addGroup(layout.createSequentialGroup()
                        .addComponent(produktShow, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .addGap(140, 140, 140)
                        .addComponent(bestellungenShow, javax.swing.GroupLayout.DEFAULT_SIZE, 224, Short.MAX_VALUE))
                    .addGroup(layout.createSequentialGroup()
                        .addComponent(openKategorieManager, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .addGap(140, 140, 140)
                        .addComponent(einlieferungenShow, javax.swing.GroupLayout.DEFAULT_SIZE, 224, Short.MAX_VALUE)))
                .addContainerGap())
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jLabel1, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addContainerGap())
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
                .addGap(192, 192, 192)
                .addComponent(close, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addGap(184, 184, 184))
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jLabel2, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addGap(10, 10, 10)
                .addComponent(jLabel1)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(produktManager, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(lagerverkehrShow))
                .addGap(18, 18, 18)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(einlieferungenShow)
                    .addComponent(openKategorieManager, javax.swing.GroupLayout.Alignment.TRAILING, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(18, 18, 18)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(produktShow, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(bestellungenShow))
                .addGap(18, 18, 18)
                .addComponent(close)
                .addGap(27, 27, 27)
                .addComponent(jLabel2)
                .addContainerGap(31, Short.MAX_VALUE))
        );

        layout.linkSize(javax.swing.SwingConstants.VERTICAL, new java.awt.Component[] {bestellungenShow, close, einlieferungenShow, lagerverkehrShow, openKategorieManager, produktManager, produktShow});

        pack();
        setLocationRelativeTo(null);
    }// </editor-fold>//GEN-END:initComponents

    private void openKategorieManagerActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_openKategorieManagerActionPerformed
        // TODO add your handling code here:
        framekategoriemanager = new FrameKategorieManager();
        framekategoriemanager.setTitle("Kategorieverwaltung");
        framekategoriemanager.setLocationRelativeTo(null);
        framekategoriemanager.setVisible(true);
        
    }//GEN-LAST:event_openKategorieManagerActionPerformed

    private void produktManagerActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_produktManagerActionPerformed
        // TODO add your handling code here:
        frameproduktmanager = new FrameProduktManager();
        frameproduktmanager.setTitle("Produktverwaltung");
        frameproduktmanager.setLocationRelativeTo(null);
        frameproduktmanager.setVisible(true);
    }//GEN-LAST:event_produktManagerActionPerformed

    private void bestellungenShowActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_bestellungenShowActionPerformed
        // TODO add your handling code here:
        framebestellungenshow = new FrameBestellungenShow();
        framebestellungenshow.setTitle("Bestellungen anzeigen");
        framebestellungenshow.setLocationRelativeTo(null);
        framebestellungenshow.setVisible(true);
    }//GEN-LAST:event_bestellungenShowActionPerformed

    private void produktShowActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_produktShowActionPerformed
        // TODO add your handling code here:
        frameproduktshow = new FrameProduktShow();
        frameproduktshow.setTitle("Produkte anzeigen");
        frameproduktshow.setLocationRelativeTo(null);
        frameproduktshow.setVisible(true);
        
    }//GEN-LAST:event_produktShowActionPerformed

    private void lagerverkehrShowActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_lagerverkehrShowActionPerformed
        // TODO add your handling code here:
        framelagerverkehrshow = new FrameLagerVerkehrShow();
        framelagerverkehrshow.setTitle("Lagerverkehr anzeigen");
        framelagerverkehrshow.setLocationRelativeTo(null);
        framelagerverkehrshow.setVisible(true);
        
        
    }//GEN-LAST:event_lagerverkehrShowActionPerformed

    private void einlieferungenShowActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_einlieferungenShowActionPerformed
        // TODO add your handling code here:
        frameeinlieferungenshow = new FrameEinlieferungenShow();
        frameeinlieferungenshow.setTitle("Einlieferungen anzeigen");
        frameeinlieferungenshow.setLocationRelativeTo(null);
        frameeinlieferungenshow.setVisible(true);
        
        
    }//GEN-LAST:event_einlieferungenShowActionPerformed

    private void closeActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_closeActionPerformed
        // TODO add your handling code here:
                setDefaultCloseOperation(DISPOSE_ON_CLOSE);
        dispose();

    }//GEN-LAST:event_closeActionPerformed

    /**
     * @param args the command line arguments
     */
    public static void main(String args[])
    {
        /* Set the Nimbus look and feel */
        //<editor-fold defaultstate="collapsed" desc=" Look and feel setting code (optional) ">
        /* If Nimbus (introduced in Java SE 6) is not available, stay with the default look and feel.
         * For details see http://download.oracle.com/javase/tutorial/uiswing/lookandfeel/plaf.html 
         */
        try
        {
            for (javax.swing.UIManager.LookAndFeelInfo info : javax.swing.UIManager.getInstalledLookAndFeels())
            {
                if ("Nimbus".equals(info.getName()))
                {
                    javax.swing.UIManager.setLookAndFeel(info.getClassName());
                    break;
                }
            }
        }
        catch (ClassNotFoundException ex)
        {
            java.util.logging.Logger.getLogger(FrameAdmin.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        }
        catch (InstantiationException ex)
        {
            java.util.logging.Logger.getLogger(FrameAdmin.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        }
        catch (IllegalAccessException ex)
        {
            java.util.logging.Logger.getLogger(FrameAdmin.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        }
        catch (javax.swing.UnsupportedLookAndFeelException ex)
        {
            java.util.logging.Logger.getLogger(FrameAdmin.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        }
        //</editor-fold>

        /* Create and display the form */
        java.awt.EventQueue.invokeLater(new Runnable()
        {
            public void run()
            {
                new FrameAdmin().setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton bestellungenShow;
    private javax.swing.JButton close;
    private javax.swing.JButton einlieferungenShow;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JButton lagerverkehrShow;
    private javax.swing.JButton openKategorieManager;
    private javax.swing.JButton produktManager;
    private javax.swing.JButton produktShow;
    // End of variables declaration//GEN-END:variables
}
